# synfigapp::Instance Class Reference

`#include <instance.h>`

Inheritance diagram for synfigapp::Instance:

List of all members.

## Public Types

typedef std::list< etl::handle < CanvasInterface > > | CanvasInterfaceList

## Public Member Functions

| ~Instance ()
void | set_selection_manager (const etl::handle< SelectionManager > &sm)
void | unset_selection_manager ()
const etl::handle < SelectionManager > & | get_selection_manager ()
etl::handle< CanvasInterface > | find_canvas_interface (synfig::Canvas::Handle canvas)
synfig::Canvas::Handle | get_canvas () const
bool | save () const
| Saves the instance to filename_.
bool | save_as (const synfig::String &filename)
sigc::signal< void > & | signal_filename_changed ()
sigc::signal< void > & | signal_saved ()
CanvasInterfaceList & | canvas_interface_list ()
const CanvasInterfaceList & | canvas_interface_list () const
synfig::String | get_file_name () const
void | set_file_name (const synfig::String &name)

## Static Public Member Functions

static etl::handle< Instance > | create (etl::handle< synfig::Canvas > canvas)

## Protected Member Functions

| Instance (etl::handle< synfig::Canvas >)

## Friends

class | PassiveGrouper

## Member Typedef Documentation

typedef std::list< etl::handle<CanvasInterface> > synfigapp::Instance::CanvasInterfaceList

## Constructor & Destructor Documentation

Instance::Instance | ( | etl::handle< synfig::Canvas > | canvas | ) | `[protected]`

References instance_map_, and unset_selection_manager().

Referenced by create().

Instance::~Instance | ( |  | ) |

Reimplemented in studio::Instance.

References instance_map_.

## Member Function Documentation

void synfigapp::Instance::set_selection_manager | ( | const etl::handle< SelectionManager > & | sm | ) | `[inline]`

void synfigapp::Instance::unset_selection_manager | ( |  | ) | `[inline]`

Referenced by Instance().

const etl::handle<SelectionManager>& synfigapp::Instance::get_selection_manager | ( |  | ) | `[inline]`

handle< CanvasInterface > Instance::find_canvas_interface | ( | synfig::Canvas::Handle | canvas | ) |

References canvas_interface_list(), and synfigapp::Action::create().

Referenced by studio::Instance::make_param_menu().

synfig::Canvas::Handle synfigapp::Instance::get_canvas | ( |  | ) | const`[inline]`

Referenced by studio::Instance::close(), studio::Instance::dialog_save_as(), get_file_name(), studio::Instance::refresh_canvas_tree(), studio::Instance::safe_close(), and set_file_name().

bool Instance::save | ( |  | ) | const

Saves the instance to filename_.

References get_file_name(), and synfigapp::Action::System::reset_action_count().

Referenced by studio::Instance::save().

bool Instance::save_as | ( | const synfig::String & | filename | ) |

Reimplemented in studio::Instance.

References get_file_name(), synfigapp::Action::System::reset_action_count(), and set_file_name().

Referenced by studio::Instance::save_as().

sigc::signal<void>& synfigapp::Instance::signal_filename_changed | ( |  | ) | `[inline]`

Referenced by studio::Instance::Instance().

sigc::signal<void>& synfigapp::Instance::signal_saved | ( |  | ) | `[inline]`

Referenced by studio::Instance::Instance().

CanvasInterfaceList& synfigapp::Instance::canvas_interface_list | ( |  | ) | `[inline]`

Referenced by find_canvas_interface().

const CanvasInterfaceList& synfigapp::Instance::canvas_interface_list | ( |  | ) | const`[inline]`

synfig::String Instance::get_file_name | ( |  | ) | const

References get_canvas().

Referenced by studio::Instance::dialog_cvs_revert(), studio::Instance::dialog_cvs_update(), studio::Instance::dialog_save_as(), studio::Instance::has_real_filename(), studio::Instance::open(), studio::Instance::safe_close(), save(), studio::Instance::save(), and save_as().

void Instance::set_file_name | ( | const synfig::String & | name | ) |

Reimplemented from synfigapp::CVSInfo.

References get_canvas(), and synfigapp::CVSInfo::set_file_name().

Referenced by save_as().

handle< Instance > Instance::create | ( | etl::handle< synfig::Canvas > | canvas | ) | `[static]`

References Instance().

## Friends And Related Function Documentation

friend class PassiveGrouper`[friend]`

Reimplemented from synfigapp::Action::System.

The documentation for this class was generated from the following files:

- synfigapp/instance.h
- synfigapp/instance.cpp